{ pkgs, ... }:

with pkgs;
[
  # Rust setup
  unstable.rustc
  unstable.rustfmt
  unstable.cargo
  unstable.clippy
  unstable.rust-analyzer

  # Further tools
  cntr # nix debugger

  lazygit
  shellcheck
  lazygit
  git
  mc
  tree
  bat
  ripgrep
  fd
  fzf
  topgrade
  htop
  killall
  findutils
  jq
  ffmpeg
  julia-bin

  poppler_utils # Pdf utils including pdfimages
  sage

  pkg-config # Often needed to build something
]
